@import url("https://fonts.googleapis.com/css2?family=Fredericka+the+Great&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Yuji+Syuku&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Trade+Winds&display=swap");

/* OVERRIDE */
.paper-texture {
  background-color: var(--color-paper-dark);
}

body {
  padding-top: 30px;
}

.container {
  min-height: calc(100vh - 40px);
  text-align: center;
  /*padding: 40px;*/
  z-index: 10;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

/* ===== DECORATIVE ELEMENTS ===== */
.decorative-star {
  position: fixed;
  pointer-events: none;
  opacity: 0.8;
}

.star-1 {
  width: 120px;
  height: 120px;
  top: 10%;
  left: 5%;
  transform: rotate(24deg);
}

.star-2 {
  width: 120px;
  height: 120px;
  transform: rotate(170deg);
  top: 20%;
  right: 8%;
}

.star-3 {
  width: 140px;
  height: 140px;
  transform: rotate(70deg);
  bottom: 15%;
  left: 7%;
}

.star-4 {
  width: 140px;
  height: 140px;
  transform: rotate(70deg);
  bottom: 8%;
  right: 4%;
}

/* ===== ENTER COMPONENTS ===== */
.label-top {
  background-color: var(--color-2);
  display: flex;
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
}

.tagline {
  font-family: "Fredericka the Great", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  line-height: 1.6;
  color: var(--text-light);
}

.image-enter-page {
  width: 100%;
  max-width: 80%;
  height: 450px;
  background-image: url("../img/website/image-enter-page.jpg");
  background-size: 100%;
  border: 6px solid var(--color-1);
  cursor: pointer;
  transition: all 0.1s ease;
  display: flex;
  align-items: end;
  justify-content: end;
  font-size: 38px;
  color: var(--text-light);
  padding-right: 10px;
  font-weight: bold;
  flex-shrink: 0;
  margin-bottom: 10px;
}

.image-enter-page:hover {
  transform: rotate(2deg);
}

.title-section {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.title-section h1 {
  font-family: "Trade Winds", system-ui;
  font-weight: 400;
  font-style: normal;
  font-size: 64px;
  margin: 0;
  color: var(--color-1);
}

.subtitle {
  font-family: "Yuji Syuku", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 24px;
  margin: 0;
  margin-top: -20px;
  color: var(--color-2);
  text-align: right;
  align-self: flex-end;
}

.button-container .nav-button {
  display: inline-block;
  padding: 10px 20px;
  margin-bottom: 0;
  font-size: 16px;
  flex: none;
}

.gif-section {
  margin-top: auto;
  margin-bottom: 0;
  display: flex;
  min-height: 31px;
  gap: 4px;
  width: 100%;
  bottom: 0;
  padding-left: 20px;
  padding-right: 20px;
}

/* ===== RESPONSIVE ===== */
@media (max-width: 768px) {
  .decorative-star {
    display: none;
  }

  body {
    padding-bottom: 80px;
  }

  .title-section h1 {
    font-size: 10vw;
  }

  .image-enter-page {
    max-width: 95%;
    background-size: 110%;
  }
}
